org.bdgenomics.adam.models

# TagType

#### object TagType extends Enumeration

An enumeration that describes the different data types that can be stored in an attribute.

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TagType
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeVal extends Val

   A representation of the type of data stored in a tagged field.

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val ByteSequence: Val

   An attribute storing hex formatted bytes.

   An attribute storing hex formatted bytes. SAM "H".

7. #### val Character: Val

   An attribute storing a character.

   An attribute storing a character. SAM "A".

8. #### val Float: Val

   An attribute storing a floating point value.

   An attribute storing a floating point value. SAM "f".

9. #### val Integer: Val

   An attribute storing an integer.

   An attribute storing an integer. SAM "i".

10. #### val NumericByteSequence: Val

    An attribute storing a numeric array of signed bytes.

    An attribute storing a numeric array of signed bytes. SAM "B:c".

11. #### val NumericFloatSequence: Val

    An attribute storing a numeric array of floats.

    An attribute storing a numeric array of floats. SAM "B:f".

12. #### val NumericIntSequence: Val

    An attribute storing a numeric array of signed ints.

    An attribute storing a numeric array of signed ints. SAM "B:i".

13. #### val NumericShortSequence: Val

    An attribute storing a numeric array of signed short ints.

    An attribute storing a numeric array of signed short ints. SAM "B:i".

14. #### val NumericUnsignedByteSequence: Val

    An attribute storing a numeric array of unsigned bytes.

    An attribute storing a numeric array of unsigned bytes. SAM "B:C".

15. #### val NumericUnsignedIntSequence: Val

    An attribute storing a numeric array of unsigned ints.

    An attribute storing a numeric array of unsigned ints. SAM "B:I".

16. #### val NumericUnsignedShortSequence: Val

    An attribute storing a numeric array of unsigned short ints.

    An attribute storing a numeric array of unsigned short ints. SAM "B:i".

17. #### val String: Val

    An attribute storing a string.

    An attribute storing a string. SAM "Z".

18. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

19. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

20. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

21. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

22. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

23. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

24. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

27. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### final def maxId: Int

    Definition Classes
      Enumeration

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

40. #### def values: ValueSet

    Definition Classes
      Enumeration

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped